spring:
  datasource:
    dynamic:
      primary: river
      datasource:
        river:
          driver-class-name: com.mysql.jdbc.Driver
          url: jdbc:mysql://119.27.160.75:62674/huludao_river?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone\=Hongkong
          username: root
          password: xfgdgfA20202328
        main:
          driver-class-name: com.mysql.jdbc.Driver
          url: jdbc:mysql://119.27.160.75:62674/huludao_main?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8
          username: root
          password: xfgdgfA20202328
        monitor:
          driver-class-name: com.mysql.jdbc.Driver
          url: jdbc:mysql://119.27.160.75:62674/nf_monitor?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8
          username: root
          password: xfgdgfA20202328
          type: com.alibaba.druid.pool.DruidDataSource
  autoconfigure:
    exclude:  com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure # 去除druid配置

  data:
    mongodb:
      uri: mongodb://nf-water:xfgdgfA2019@dev-mongodb.wh-nf.cn:8634/monitoring

  redis:
    host: 127.0.0.1
    database: 0
    port: 6379
    jedis:
      pool:
        max-active: 20 # 连接池最大数量
        max-wait: 1
        max-idle: 10    # 连接池中最大空闲数
        min-idle: 0 #连接池中最小空闲数
    timeout: 10000     #连接超时时间

huludao:
  url:
    main: http://localhost:8310

xnFile:   # 信阳水
  path: D:\\huludao\\file\\       #本地window路径
  pic: D:\\huludao\\pic\\
